cd nk_supply_only 
load all_results
cd ..

fig1_string='Figure 8: Response of consumption and hours when epidemic is a shock to supply';
fig1_save_name='fig08';

ybase=y;
cbase=c;
xbase=x;
nbase=n;
rrbase=rr;
Rbbase=Rb;
piebase=pie;
kbase=k;
ibase=i;
sbase=s;
dbase=dd;


cd nk_supply_only
load all_results
cd ..


yperturb=yF;
Rbperturb=RbF;
pieperturb=pieF;
cperturb=cF;
xperturb=xF;
nperturb=nF;
rrperturb=rrF;
kperturb=kF;
iperturb=iF;
sperturb=sF;
dperturb=ddF;

%plotting
ia=2;
ib=3;

figure;
subplot(1,2,1)
plot(time(1:end-1),100*(cs(2:horz)-c_ss)/c_ss,'r--','LineWidth',2); hold on
plot(time(1:end-1),100*(ci(2:horz)-c_ss)/c_ss,'k-.','LineWidth',2); hold on
plot(time(1:end-1),100*(cr(2:horz)-c_ss)/c_ss,'m:','LineWidth',2); hold on
plot(time(1:end-1),0*time(1:end-1),'b-','LineWidth',1); hold off
box off;
title('Consumption by Type','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Susceptibles','Infected','Recovered','Location','SouthEast');
legend boxoff

 
subplot(1,2,2)
plot(time(1:end-1),100*(ns(2:horz)-n_ss)/n_ss,'r--','LineWidth',2); hold on
plot(time(1:end-1),100*(ni(2:horz)-n_ss)/n_ss,'k-.','LineWidth',2); hold on
plot(time(1:end-1),100*(nr(2:horz)-n_ss)/n_ss,'m:','LineWidth',2); hold on
plot(time(1:end-1),0*time(1:end-1),'b-','LineWidth',1); hold off
box off;
title('Hours by Type','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Susceptibles','Infected','Recovered','Location','best');
legend boxoff
 
suptitle2(fig1_string);
orient landscape
print(fig1_save_name,'-dpdf','-fillpage')
